#### D.3.1.26 rm_unitcol

Procedure from library `matrix.lib` (see matrix_lib).

Usage:
  rm_unitcol(A); A matrix (being row-reduced)

Return:
  matrix, obtained from A by deleting unit columns (having just one 1 and else 0 as entries) and associated rows

Example:

    LIB "matrix.lib";
    ring r=0,(A,B,C),dp;
    matrix m[6][8]=
    0,  0,    A,   0, 1,0,  0,0,
    0,  0,  -C2,   0, 0,0,  1,0,
    0,  0,    0,1/2B, 0,0,  0,1,
    0,  0,    B,  -A, 0,2A, 0,0,
    2C,-4C,  -A,   B, 0,B,  0,0,
    0,  A,    0,   0, 0,0,  0,0;
    print(rm_unitcol(m));
    ==> 0, 0,  B, -A,2A,
    ==> 2C,-4C,-A,B, B,
    ==> 0, A,  0, 0, 0

User manual for Singular version 4.4.1, 2025, generated by texi2html.